package com.xinelu.common.enums;

import lombok.Getter;

/**
 * 培训项目类型枚举
 *
 * @author ljh
 * @version 1.0
 * Create by 2023/4/20 17:33
 */
@Getter
public enum TrainingItemTypeEnum {

    /**
     * 视频学习
     */
    VIDEO_LEARNING("VIDEO_LEARNING"),

    /**
     * 图文学习
     */
    GRAPHIC_LEARNING("GRAPHIC_LEARNING"),

    /**
     * 直播课程
     */
    LIVE_COURSES("LIVE_COURSES"),

    /**
     * 线下培训
     */
    OFFLINE_TRAINING("OFFLINE_TRAINING"),

    /**
     * 学习培训项目组
     */
    LEARNING_ITEM_GROUP("LEARNING_ITEM_GROUP"),
    ;

    final private String info;

    TrainingItemTypeEnum(String info) {
        this.info = info;
    }
}